varying mediump vec2 var_texcoord0;
uniform lowp sampler2D tex0;

float normalizea(float min1, float max1, float value)
{
    return (value - min1) / (max1 - min1);
}

float map(float min1, float max1, float min2, float max2, float value)
{
    return mix(min2, max2, normalizea(min1, max1, value));
}

const float blurAmount = 10.0;
const float maxPos = 0.5;
const float bottom = 0.25;
const float top = 0.75;
const float left = 0.25;
const float right = 0.75;

void main()
{
    vec2 uv = var_texcoord0.xy;
    float position = 0.0;

    position = map(0.0, bottom, maxPos, 0.0, uv.y) * float(uv.y <= bottom) +
               map(top, 1.0, 0.0, maxPos, uv.y) * float(uv.y >= top) +
               map(0.0, left, maxPos, 0.0, uv.x) * float(uv.x <= left) +
               map(right, 1.0, 0.0, maxPos, uv.x) * float(uv.x >= top);

    float bias = position * blurAmount;

    gl_FragColor = texture2D(tex0, uv, bias);
}
